Jump to content
RAGE Multiplayer Community

RpfEncrypt 1.2.0

   (16 reviews)

1 Screenshot

About This File

This plugin lets you "fix" RPFs of your dlcpacks on a server start in a completely automated way. Yes, it does support recursive RPFs!

 

Installation

Extract all archive files to the server root folder. No dependencies required, just the latest RAGE Multiplayer server.

 

Usage

Put your dlcpacks into /source_dlcpacks/ folder in the server root folder. Once you start the server it puts the proper dlcpacks into /client_packages/dlcpacks/.

 

Credits

  • Neodymium - GTA 5 modding research
  • rootcause - testing

What's New in Version 1.2.0   See changelog

Released

1.1.0:

* Implemented compatible mode which is enabled by default. It encrypts your RPFs way faster and is compatible with all the user made RPFs as it doesn't optimize RPFs as the "full" mode does but just "fixes" it leaving it generally untouched. Use "dlc-encrypt-use-compatible-mode": 0 to use 1.0.0's "full" mode.

 

1.1.1:

* Fixes

 

1.1.2:

* Improve handling of pre-encrypted files

 

1.2.0:

* Compatibility mode: improve compatibility with OpenIV's heavily-fragmented RPFs

* Compatibility mode: improve performance

  • Like 17
  • Mask 1
 Share


User Feedback

Recommended Comments

 

 

In version 1.1, for some reason, the server just crashes without any errors.

spacer.png

 

Link to comment
Share on other sites

В 24.06.2020 в 03:16, Nutter сказал:

@Xacku You do not need to use RpfEncrypt with 1.1.

Tried all versions. The same problem as his.

Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...